.spin {
    animation: spin 2s infinite linear;
}
@keyframes spin {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}
.focusCheck {
    animation: focusCheck 2s;
    border-color: var(--verdeScuro) !important;
}
@keyframes focusCheck {
    from {
        transform: scale(1.05);
    }
    to {
        transform: scale(1);
    }
}
.gelatine {
    animation: gelatine 0.5s infinite;
    width: 12em !important;
}
.gelatine:hover {
    cursor: not-allowed !important;
}
@keyframes gelatine {
    from, to { transform: scale(1, 1); }
    25% { transform: scale(0.9, 1.1); }
    50% { transform: scale(1.1, 0.9); }
    75% { transform: scale(0.95, 1.05); }
}  
.bounce {
    animation: bounce 0.5s;
}
@keyframes bounce {
    from { transform: scale(1.5); }
    to { transofrm: scale(1); }
}

@media screen and (max-width: 800px) {
    .cem {
        font-size: 0.8em;
    }
    .cem ul {
        width: 98% !important;
    }
    .searchInput {
        width: 98% !important;
        background-image: none !important;
    }
    .borderBlock {
        width: 98% !important;
        padding: 0.8e !important;
    }
    .menuLine, .calendarContainer {
        font-size: 0.6em !important;
    }
    .infoLine {
        width: 100% !important;
        flex-wrap: nowrap !important;
        font-size: 1.1em !important;
    }
}
@media screen and (min-width: 801px) and (max-width: 1200px) {
    .menuLine, .calendarContainer {
        font-size: 0.9em;
    }
}
@media screen and (max-width: 1000px) {
    .calendarContainer {
        flex-direction: column;
    }  
    .calendarColumn {
        flex-direction: row !important;
        padding: 0.8em 1em !important;
    }
    .calendarColumn h2 {
        margin-right: 1em !important;
        margin-bottom: unset !important;
        width: 20% !important;
    }
    .calendarColumn img {
        width: 4em !important;
    }
    .calendarColumn .columnDiv {
        flex-direction: row !important;
        flex-wrap: wrap !important;
        justify-content: space-evenly !important;
        width: 80% !important;
        min-height: 6em !important;
    }
}

@media all and (display-mode: standalone) {
    #webAppButton {
        display: none !important;
    }
    #webAppButton2 {
        display: none !important;
    }
}

.cem {
    margin-bottom: 3em;
}

.searchInput {
    background-image: url("../img/searchicon.png");
    background-position: 1em;
    background-repeat: no-repeat;
    width: 80%;
    font-size: 1.5em;
    padding: 0.5em;
    border: 0.1em solid var(--borderColor);
    margin: 0.5em 0px;
    text-align: center;
    border-radius: 1em;
}

.cem ul {
    text-align: center;
    width: 80%;
    margin: unset;
    font-size: 1.5em;
    max-height: 50vh;
    overflow-y: auto;
    overflow-x: hidden;
    padding: unset;
}
.cem ul li {
    border: 0.1em solid var(--borderColor);
    margin-top: -0.1em;
    background-color: var(--verdeChiaro);
    padding: 0.5em;
    text-decoration: none;
    color: #FFF;
    display: block;
    border-radius: 0.8em;
}
.cem ul li:hover {
    cursor: pointer;
    text-decoration: underline;
    font-size: 1.1em;
}

.booleanLine {
    justify-content: center !important;
    margin: 1em 0px;
    flex-wrap: nowrap !important;
}
.booleanLine p {
    margin: unset;
    text-align: left;
}
.booleanLine p:hover {
    text-decoration: underline;
    cursor: pointer;
}
.booleanBox {
    width: 2em;
    height: 2em;
    border: 0.2em solid rgba(204, 204, 204, 0.5);
    margin: 0px 0.6em;
    border-radius: 0.2em;
    min-width: 2em;
}
.booleanBox:hover {
    cursor: pointer;
}
.selected {
    background-color: var(--verdeScuro);
}

#cemContainer {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    width: 100%;
}

.columnDiv {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
}

.borderBlock {
    width: 80%;
    margin: 0.5em 0px;
    display: flex; 
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 0.1em solid #cfcbcb;
    border-radius: 1em;
    padding: 1em;
}

.cliccableSpan {
    color: var(--verdeChiaro);
}
.cliccableSpan:hover {
    cursor: pointer;
    text-decoration: underline;
}

.clickImage {
    width: 3em;
    margin: 0.3em;
}
.clickImage:hover {
    cursor: pointer;
    transform: scale(1.05);
}

.borderDiv , .borderDiv-sm{
    width: 20em;
    height: 15em;
    display: flex; 
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    border: 0.1em solid #cfcbcb;
    border-radius: 1em;
    padding: 0.5em 1em;
    margin: 0.5em;
}
.borderDiv-sm{
    height: 5em;
}
.borderDiv h1 {
    margin: unset;
}
.borderDiv h2 {
    margin: unset;
}
.borderDiv h3 {
    font-size: 1.2em;
    word-wrap: break-word;
    margin: unset;
}
.borderDiv img {
    width: 9em;
}

.clickDiv:hover {
    cursor: pointer;
    border-color: var(--verdeScuro);
    transform: scale(1.05);
}
.selectedDiv {
    border-color: var(--verdeScuro);
    border-width: 0.2em;
}

.commandImg {
    width: 4em;
}
.commandImg:hover {
    cursor: pointer;
}

.language {
    width: 7em;
}
.language:hover {
    cursor: pointer;
    transform: scale(1.1);
}
.selectedLan {
    transform: scale(1.2);
}
.selectedLan:hover {
    transform: scale(1.2) !important;
    cursor: not-allowed !important;
}

.blockTitle {
    margin: unset; 
    font-size: 2.5em; 
    font-weight: bold;
}

.cliccable:hover {
    cursor: pointer;
    text-decoration: underline;
}

.menuLine {
    flex-wrap: wrap;
}

.calendarContainer {
    display: flex;
    justify-content: flex-start;
    width: 100%;
    min-height: 30em;
}

.calendarColumn {
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
    padding: 0.3em;
    width: 100%;
    border: 0.1em solid #cfcbcb;
}
.calendarColumn h2 {
    margin: unset;
    width: unset;
    font-size: 1.8em;
    font-weight: bold;
    text-transform: capitalize;
    margin-bottom: 0.8em;
}
.calendarColumn img {
    width: 5em;
}

.infoLine {
    font-size: 1.4em;
    justify-content: flex-start;
    margin: 0.5em 0px;
}
.infoLine a {
    width: 100%;
    text-align: center;
}

.colorCircle {
    width: 1.5em;
    height: 1.5em;
    border-radius: 2em;
    border: 0.1em solid #000;
    background-color: transparent;
    min-width: 1.5em; 
}

.border {
    border: 0.1em solid #cfcbcb;
    border-radius: 1em;
    padding: 0.5em 1em;
}

